Bug 1436812 - lcgdm: dpm-python3 is missing Python 3 version of executables
Summary: lcgdm: dpm-python3 is missing Python 3 version of executables
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lcgdm
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ricardo Rocha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PY3-EXECUTABLES
TreeView+ depends on / blocked
 
Reported: 2017-03-28 17:53 UTC by Iryna Shcherbina
Modified: 2018-03-30 13:02 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-30 13:02:19 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-03-28 17:53:10 UTC
The Python 3 subpackage dpm-python3 is missing executables available in the Python 2 subpackage.

According to the Fedora Packaging guidelines for Python [0], if a Python package that supports Python 3 installs executables into /usr/bin,  then either both Python versions of the executables should be packaged, or only the Python 3 version, depending on the functionality they provide.
(Note the "should": having Python 2-only executables is permitted, but strongly discouraged.)

Is it intentional for this particular package?

In case it is not intentional, please provide a Python 3 version of executable, or you can just switch to Python 3 if the functionality is the same regardless of the Python version. The guide for porting Python-based RPMs is available here [1] and you may refer to it for more instructions.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing the issue!

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks
[1] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Kurik 2017-08-15 07:44:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Fedora Update System 2018-03-16 11:03:17 UTC
lcgdm-1.10.0-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d01fe7985e

Comment 3 Fedora Update System 2018-03-16 14:48:15 UTC
lcgdm-1.10.0-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d01fe7985e

Comment 4 Fedora Update System 2018-03-30 13:02:19 UTC
lcgdm-1.10.0-7.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.